Subject: Re: [PATCH v6 0/2] name-rev: deprecate --stdin in favor of --annotate-stdin

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Jan 2022 15:12:01 -0800

"John Cai via GitGitGadget" <[email-masked]> writes:

> Introduce a --annotate-stdin that is functionally equivalent of --stdin.
> --stdin does not behave as --stdin in other subcommands, such as
> pack-objects whereby it takes one argument per line. Since --stdin can be a
> confusing and misleading name, the goal is to rename it to --annotate-stdin.
>
> This is the first step in a process of eventually fully deprecating --stdin.
> This change also adds a warning to --stdin warning that it will be removed
> in the future.
>
> See https://lore.kernel.org/git/[email-masked]/ for discussion.
>
> changes since v5:
>
>  * fixed documentation example indentation (again)
>  * moved initialization of strbuf from 1/2 to 2/2

This round looks almost perfect.

One I can think of that _may_ be a good idea to change from this
version is to undo the HIDDEN thing, so that "git name-rev -h",
without "git name-rev --help-all", will prominently say that
"--stdin" is deprecated, and make it an hidden option sometime
later, but that is not even "I think we should do so", but more like
"if other people think it is a good idea, I would be supportive".

Thanks.